# esp32_BNO08x: BNO08xPrivateTypes::bno08x_sync_ctx_t Struct Reference

Loading...
Searching...
No Matches
BNO08xPrivateTypes::bno08x_sync_ctx_t Struct Reference

Holds context used to synchronize tasks and callback execution. More...

`#include <BNO08xPrivateTypes.hpp>`

## Public Member Functions

| bno08x_sync_ctx_t ()

## Public Attributes

SemaphoreHandle_t | sh2_HAL_lock
| Mutex to prevent sh2 HAL lib functions from being accessed at same time.
SemaphoreHandle_t | data_lock
| Mutex to prevent user from reading data while data_proc_task() updates it, and vice versa.
EventGroupHandle_t | evt_grp_rpt_en
| Event group for indicating which reports are currently enabled.
EventGroupHandle_t | evt_grp_rpt_data_available
| Event group for indicating to BNO08xRpt::has_new_data() that a module received a new report.
EventGroupHandle_t | evt_grp_task
| Event group for indicating various BNO08x related events between tasks.
etl::vector< uint8_t, TOTAL_RPT_COUNT > | en_report_ids
| Vector to contain IDs of currently enabled reports.
bno08x_cb_list_t | cb_list
| Vector to contain registered callbacks.

## Detailed Description

Holds context used to synchronize tasks and callback execution.

## Constructor & Destructor Documentation

## bno08x_sync_ctx_t()

BNO08xPrivateTypes::bno08x_sync_ctx_t::bno08x_sync_ctx_t | ( |  | ) |

inline

## Member Data Documentation

## cb_list

bno08x_cb_list_t BNO08xPrivateTypes::bno08x_sync_ctx_t::cb_list

Vector to contain registered callbacks.

## data_lock

SemaphoreHandle_t BNO08xPrivateTypes::bno08x_sync_ctx_t::data_lock

Mutex to prevent user from reading data while data_proc_task() updates it, and vice versa.

## en_report_ids

etl::vector<uint8_t, TOTAL_RPT_COUNT> BNO08xPrivateTypes::bno08x_sync_ctx_t::en_report_ids

Vector to contain IDs of currently enabled reports.

## evt_grp_rpt_data_available

EventGroupHandle_t BNO08xPrivateTypes::bno08x_sync_ctx_t::evt_grp_rpt_data_available

Event group for indicating to BNO08xRpt::has_new_data() that a module received a new report.

## evt_grp_rpt_en

EventGroupHandle_t BNO08xPrivateTypes::bno08x_sync_ctx_t::evt_grp_rpt_en

Event group for indicating which reports are currently enabled.

## evt_grp_task

EventGroupHandle_t BNO08xPrivateTypes::bno08x_sync_ctx_t::evt_grp_task

Event group for indicating various BNO08x related events between tasks.

## sh2_HAL_lock

SemaphoreHandle_t BNO08xPrivateTypes::bno08x_sync_ctx_t::sh2_HAL_lock

Mutex to prevent sh2 HAL lib functions from being accessed at same time.

The documentation for this struct was generated from the following file:

- include/BNO08xPrivateTypes.hpp